[arch-commits] Commit in flex/trunk (4 files)

Allan McRae allan at archlinux.org
Sat Jun 6 06:14:45 UTC 2009


    Date: Saturday, June 6, 2009 @ 02:14:45
  Author: allan
Revision: 41636

upgpkg: flex 2.5.35-3
    add m4 dep (FS#14911), add infopage (FS#13624), patch for gcc-4.4

Added:
  flex/trunk/flex-2.5.35-gcc44.patch
  flex/trunk/flex.install
Modified:
  flex/trunk/PKGBUILD
Deleted:
  flex/trunk/flex-yytext.patch

-------------------------+
 PKGBUILD                |   38 ++++++++++++++++++++++++--------------
 flex-2.5.35-gcc44.patch |   22 ++++++++++++++++++++++
 flex-yytext.patch       |   22 ----------------------
 flex.install            |   22 ++++++++++++++++++++++
 4 files changed, 68 insertions(+), 36 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-06 03:11:43 UTC (rev 41635)
+++ PKGBUILD	2009-06-06 06:14:45 UTC (rev 41636)
@@ -1,30 +1,40 @@
 # $Id$
-# Maintainer: judd <jvinet at zeroflux.org>
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
 pkgname=flex
 pkgver=2.5.35
-pkgrel=2
+pkgrel=3
 pkgdesc="A tool for generating text-scanning programs"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://flex.sourceforge.net"
 license=('custom')
 groups=('base-devel')
 depends=('glibc' 'm4' 'sh')
+install=flex.install
 source=(http://downloads.sourceforge.net/sourceforge/flex/flex-$pkgver.tar.bz2 
+        flex-2.5.35-gcc44.patch
 	lex.sh)
-md5sums=('10714e50cea54dc7a227e3eddcd44d57' 'f725259ec23a9e87ee29e2ef82eda9a5')
+md5sums=('10714e50cea54dc7a227e3eddcd44d57'
+         'e4444ef5c07db71a43280be74139bdea'
+         'f725259ec23a9e87ee29e2ef82eda9a5')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver || return 1
+  cd $srcdir/$pkgname-$pkgver || return 1
+  patch -Np1 -i $srcdir/flex-2.5.35-gcc44.patch || return 1
   
-  # configure
-  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
-
-  # build and install
+  ./configure --prefix=/usr \
+    --mandir=/usr/share/man --infodir=/usr/share/info || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr mandir=$startdir/pkg/usr/share/man install || return 1
-  install -D -m755 $startdir/src/lex.sh $startdir/pkg/usr/bin/lex || return 1
+  make prefix=$pkgdir/usr \
+    mandir=$pkgdir/usr/share/man \
+    infodir=$pkgdir/usr/share/info \
+    install || return 1
+  install -Dm755 $srcdir/lex.sh $pkgdir/usr/bin/lex || return 1
 
-  # install license
-  install -D -m644 COPYING \
-  	$startdir/pkg/usr/share/licenses/$pkgname/license.txt || return 1
+  install -Dm644 COPYING \
+  	$pkgdir/usr/share/licenses/$pkgname/license.txt || return 1
+  	
+  rm -f $pkgdir/usr/share/info/dir
+  gzip -9 $pkgdir/usr/share/info/*
 }

Added: flex-2.5.35-gcc44.patch
===================================================================
--- flex-2.5.35-gcc44.patch	                        (rev 0)
+++ flex-2.5.35-gcc44.patch	2009-06-06 06:14:45 UTC (rev 41636)
@@ -0,0 +1,22 @@
+diff -urNp flex-2.5.35.orig/flex.skl flex-2.5.35/flex.skl
+--- flex-2.5.35.orig/flex.skl	2009-04-20 03:09:46.000000000 +0530
++++ flex-2.5.35/flex.skl	2009-04-20 07:46:58.000000000 +0530
+@@ -217,6 +217,7 @@ m4preproc_include(`flexint.h')
+ /* begin standard C++ headers. */
+ #include <iostream> 
+ #include <errno.h>
++#include <cstdio>
+ #include <cstdlib>
+ #include <cstring>
+ /* end standard C++ headers. */
+diff -urNp flex-2.5.35.orig/skel.c flex-2.5.35/skel.c
+--- flex-2.5.35.orig/skel.c	2009-04-20 03:09:46.000000000 +0530
++++ flex-2.5.35/skel.c	2009-04-20 07:46:40.000000000 +0530
+@@ -284,6 +284,7 @@ const char *skel[] = {
+   "/* begin standard C++ headers. */",
+   "#include <iostream> ",
+   "#include <errno.h>",
++  "#include <cstdio>",
+   "#include <cstdlib>",
+   "#include <cstring>",
+   "/* end standard C++ headers. */",

Deleted: flex-yytext.patch
===================================================================
--- flex-yytext.patch	2009-06-06 03:11:43 UTC (rev 41635)
+++ flex-yytext.patch	2009-06-06 06:14:45 UTC (rev 41636)
@@ -1,22 +0,0 @@
-diff -Naur flex-2.5.31-orig/flex.skl flex-2.5.31/flex.skl
---- flex-2.5.31-orig/flex.skl	2003-03-31 17:51:38.000000000 -0800
-+++ flex-2.5.31/flex.skl	2004-04-11 12:19:10.000000000 -0700
-@@ -3280,7 +3280,6 @@
- #undef yy_set_bol
- #undef yy_new_buffer
- #undef yy_set_interactive
--#undef yytext_ptr
- #undef YY_DO_BEFORE_ACTION
- 
- #ifdef YY_DECL_IS_OURS
-diff -Naur flex-2.5.31-orig/gen.c flex-2.5.31/gen.c
---- flex-2.5.31-orig/gen.c	2003-03-30 11:58:44.000000000 -0800
-+++ flex-2.5.31/gen.c	2004-04-11 12:19:38.000000000 -0700
-@@ -1812,7 +1812,6 @@
- 			if (yytext_is_array) {
- 				if (!reentrant){
-     				indent_puts ("static int yy_more_offset = 0;");
--                }else{
-                     indent_puts ("static int yy_prev_more_offset = 0;");
-                 }
- 			}

Added: flex.install
===================================================================
--- flex.install	                        (rev 0)
+++ flex.install	2009-06-06 06:14:45 UTC (rev 41636)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(flex.info{,-1,-2})
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list